package frfs2;
public final class Matrix {
  private int ncols, nrows;
  private double[][] data;
  //private double[] data;

  public Matrix() { 
    ncols = -1;
    nrows = -1;
    data = null;
  }

  public Matrix(int rows, int cols) {
    setSize(rows, cols);
  }

  public void setSize(int rows, int cols) {
    ncols = cols;
    nrows = rows;
    //data = new double[rows*cols];
    data = new double[rows][cols];
  }

  public void setCell(int row, int column, double value) {
    //data[row*ncols+column]=value;
    data[row][column]=value;
  }

  public double getCell(int row, int column) {
    //return data[row*ncols+column];
    return data[row][column];
  }

  public int numCols() { 
    return ncols;
  }

  public int numRows() {
    return nrows;
  }

    public String toString() {
	String ret="";
	for (int r=0;r<nrows;r++) {
	    for (int c=0;c<ncols;c++) {
		ret+= getCell(r,c)+" ";
	    }
	    ret+="\n";
	}
	return ret;
    }
}
